Name:           perl-Image-Xpm
Version:        1.13
Release:    1%{?dist}
Summary:        Load, create, manipulate and save xpm image files in Perl
License:        GPL+
URL:            https://metacpan.org/release/Image-Xpm
Source0:        https://cpan.metacpan.org/authors/id/S/SU/SUMMER/Image-Xpm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(Image::Base)
BuildRequires:  perl(ExtUtils::MakeMaker)

%description
This class module provides basic load, manipulate and save functionality for
the xpm file format.  It inherits from Image::Base which provides additional
manipulation functionality.

%prep
%setup -q -n Image-Xpm-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc README
%{perl_vendorlib}/Image/
%{_mandir}/man3/*.3pm*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-1
- initial build
